CVE-2017-6827

Priority
Description
Heap-based buffer overflow in the MSADPCM::initializeCoefficients function
in MSADPCM.cpp in audiofile (aka libaudiofile and Audio File Library) 0.3.6
allows remote attackers to have unspecified impact via a crafted audio
file.
Notes
ratliffsame fix as CVE-2017-6827 CVE-2017-6832 CVE-2017-6833 CVE-2017-6835
and CVE-2017-6837
Package
Upstream:released (0.3.6-4)
Ubuntu 14.04 ESM (Trusty Tahr):released ([0.3.6-2ubuntu0.14.04.2])
Ubuntu 16.04 LTS (Xenial Xerus):released (0.3.6-2ubuntu0.16.04.1)
Patches:
Upstream:https://github.com/mpruett/audiofile/commit/c48e4c6503f7dabd41f11d4c9c7b7f8960e7f2c0
More Information

Updated: 2020-01-29 19:59:42 UTC (commit 768ceb2fdee6790d707d0f681e1b54916744af1e)